﻿init: 
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    ## -------------- backgrounds --------------------- 
    image bg_mm = "ui/bg_mm.jpg"
    image bg_gm = "ui/bg_gm.jpg"
    
    image bg_main = "background_00.png"
    
    image splash = "splash.png"

    # -------------- store front ---------------
    image door01 = "door_50.jpg"
    image door02 = "door.jpg"
    image door03 = "door_N.jpg"
    
    image bg_parlor01 = "parlor01_50.jpg"
    image bg_parlor01x = "parlor01_x.jpg" # closing scene
    image bg_parlor02 = "parlor02_50.jpg"
    image bg_parlor03 = "parlor03_50.jpg"
    image bg_parlor04 = "parlor04_50.jpg" 
    image bg_parlor05 = "parlor05_25.jpg"
    image bg_parlor06 = "parlor06_50.jpg" #hall
    
    image k01 = "kanjiBook.png"
    
    image c_parlor01 = "parlor01.jpg"
    image c_parlor02 = "parlor02.jpg"
    image c_parlor03 = "parlor03.jpg"
    image c_parlor04 = "parlor04.jpg"
    image c_parlor05 = "parlor05.jpg"
    image c_parlor06 = "parlor06.jpg"
    
    # --------------- back room -----------
    
    image locker_cl = "Trunk_closed.jpg"
    image locker = "Trunk_open_25.jpg"
    image c_locker = "Trunk_open.jpg"
    
    # ------ grimoire ----------------
    image book = "g/grim.png"
    image g1 = "g/g1.jpg"
    image g2 = "g/g2.jpg"
    image g3 = "g/g3.jpg"
    image g4 = "g/g4.jpg"

       
    image angel_d = "angel_d.png" #corpse
    
    # ----- Angel's butt ------------
    image tattoo00 = "tattoo04_50.png"
    image tattoo00b = "tattoo04.png"
    image tattoo00c = "tattoo04x.jpg"
    
    # ----- Stages of tattoo ----------
    image tattoo01 = "tattoo01.jpg"
    image tattoo02 = "tattoo02.jpg"
    image tattoo03 = "tattoo03.jpg"
    
    image climax = "tattoo05.png"
    
    
    # ---------- CTC blinking arrow -----------------------
    image ctc_blink:
        xpos 1020 ypos 763
        alpha 1.0
        "arrow.png"
        0.75
        alpha 0
        0.75
        repeat
    
    ## --------------- Characters ----------------------- 
    
    image angel01 = "angel01.png" #door
    image angel01b = "angel01b.png" # counter
    
    image angel02 = "angel02.png" # smile 
    image angel02b = "angel02b.png" # smile small w transparancy
    image angel02c = "angel02c.png" # smile big
    
    image angel03 = "angel03.png" # bra
    image angel04 = "angel04.png" # topless
    image angel05 = "angel05.png" # nude
    image angel06 = "angel06.png" # sitting
    image angel07 = "angel07.png" # tattoo back
    
    image angelx = "angelx.png" # t-shirt lg
    image angelx2 = "angelx2.png" # t-shirt sm
    
    image alch01 = "Alch01.png" # facing left
    image alch01b= "Alch01b.png" # facing right
    image alch02 = "Alch02.png" # tattoo
    
    
    # Declare characters used by this game.
    # define e = Character('Eileen', color="#c8ffc8")
    
    # define a = Character('Arthur',  color="666666", ctc="ctc_blink",)
    # define g = Character('Giselle', color="999933", ctc="ctc_blink",)

    define narrator = Character(None,
                kind=nvl, 
                window_left_margin = 520, 
                window_right_margin = 5,
                ctc="ctc_blink", )
    
    define n2 = Character(None, 
                # window_top_margin = 200, 
                window_left_margin = 520, 
                window_right_margin = 5,
                ctc="ctc_blink",)

# -------------------------------------------------

label splashscreen:
    $ renpy.pause(0)
    scene black
    with Pause(0.5)

    show splash
    with dissolve
    with Pause(2.0)

    scene black
    with dissolve
    with Pause(1.0)

    return


label start:
    scene bg_parlor01 with fade
        
    # "{font=bluecabin.ttf}Once upon a summer in Massachusetts...{/font}"
    show expression Text("{color=ffffff}{font=LHFmisterspookyREG_0.TTF}Once upon a time at a tattoo parlor...{/font}{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with dissolve
    $ renpy.pause()
    
    hide text with dissolve
    
    scene bg_parlor02 with fade 
    show alch01 at left with dissolve
    "The Alchemist was getting ready to close his tattoo shop when the bells on his door chimed."
    
    play music "mu/Cradle Of Tears.mp3" fadeout 1.0
    play sound "Store bell.wav"
    
    "He turned and there she was, a shattered angel."
    nvl clear 
    
    scene door01 with fade
    show angel01 at left with dissolve
    $ renpy.pause(2)
    "She stood paused, frozen in his doorway, neither in nor out, motionless on the threshold, undecided. The setting sun bled over the rooftops from across the street, staining her hair and cheek with the illusion of mortal wounds."
    "The empty hunger in the crushed blue of her eyes screamed of lethal injuries hemorrhaging beneath the surface of her skin. Her long lank hair was less than clean, and her dead-pale skin stretched tight over the finely carved cheekbones of her face. Her features betrayed a story of physical exquisiteness, brutalized to a mere shadow of their original loveliness."
    "His first thought was that she was too damn young to be so broken. She was what...? Nineteen? Maybe younger? His second thought was more practical; he really did not have time for penniless, injured street kids."
    nvl clear
    
    "He worked to viciously stamp out the twinges of sympathy oozing into his thoughts. \"I'm getting ready to close shop,\" he growled. \"Are you comin' in or are you gon'na hold my door open all night?\""
    "She shook her hair, dispelling the impression of blood streaked across her face then hunched into her dirty jacket, her glance both fearful and feral. She flashed a nervous look about the brightly lit tattoo parlor then speared him with her feverish eyes."
    "\"What?\" His tone was dry and cold. {i}I really don't need this.{/i} With a frustrated jerk, he turned his shoulder to her. \"Damn street-kids...\" {i}Just another wounded pup waiting to be kicked.{/i} He locked away his tools and straightened the pages of flash art lying on the counter and tried to ignore the look in her eyes. {i}Just another victim waiting to get killed.{/i}"
    nvl clear
    
    "\"Um…\" The girl's voice was timid. She coughed. \"I uh, want a tattoo.\""
    nvl clear
    
    scene bg_parlor03 with fade
    show alch01 at left with dissolve
    "The Alchemist blinked then rolled his eyes sourly. {i}Yeah, right,{/i} he thought with annoyance. {i}As if, this kid has any money on her to pay for it? She doesn't look like she's had enough money to even eat in at least a week.{/i} He wiped his face with his palm then glared at her. \"Do you even know what you want? I haven't got all night to wait for you to pick something out.\""
    "She cringed back from him then bravely took a deep breath. Her eyes lit up with a terrible hunger. \"Yeah, I {i}do{/i} know what I want.\" She moved closer to his counter, her steps silent on the tile floor."
    nvl clear
    window hide
    
    show alch01 at center with move
    show angel01b behind alch01 at left with easeinleft 
    
    "\"I want one of those Japanese letter things.\""
    "His frown deepened. Her voice must have been lovely once. Living on the street had burned much of its original beauty to ash."
    play sound "Store bell.wav"
    
    "The bells jingled on the door, announcing that it had finally closed."
    "He cleared his throat. \"They're called Kanji.\" {i}Why am I even talking to this obviously, penniless kid?{/i} Inwardly he balked. Shame at the way he was treating her, warred with his practicality. {i}She's obviously had enough shit in her life and here I go, being rude to her.{/i}"
    "\"Khan-jee?\" she pronounced carefully. \"Yeah,\" she breathed. \"I want one of them.\" She was almost panting with an unidentifiable, hungry need."
    "\"Sure. What do you want it to say?\" He flinched inwardly. {i}There I go again. I'm just a damned bleeding heart.{/i} He swore at himself softly and bitterly."
    nvl clear
    
    "She blinked in confusion. \"What do I want...what to say?\""
    "He rolled his eyes. \"Kanji are whole words or phrases in Japanese. What do you want your Japanese word to say?\""
    "\"Do you have one for 'beautiful'?\" She blushed furiously and turned sharply away from his gaze. \"I want to be 'beautiful'.\" Catching her image in a mirror, she glanced quickly away from the reflection. Her eyes were suspiciously bright with unshed tears. \"Then maybe people will love me,\" she added in a whisper he could barely hear."
    "Pity stabbed through the Alchemist's heart. \"Yeah, I got that one.\" He turned around to grab the book of flash with the Japanese letters he'd collected." 
    play sound "page-flip-1.mp3"
    "Sullenly, he flipped to the right page then turned the book around for her to see, pointing out the simple but decorative, oriental glyphs."
    nvl clear
    
    scene bg_main with fade
    show k01 with dissolve
    $ renpy.pause()

    "Her eyes came alive with an unholy hunger and a joy too defiant to be as simple as hope. \"Oh, how pretty,\" she sighed."
    nvl clear
    
    scene bg_parlor03 with fade
    show angel01b at left
    show alch01 
    "He raised his brow sardonically. \"It'll be fifty dollars and take one hour.\""
    "She bit down on her bottom lip. \"I want a tattoo, but I'm broke. Uh, can I, um… Can I pay you without cash?\""
    "\"Pay me {i}how{/i}?\" The Alchemist crossed his arms over his broad chest. \"I don't do drugs so I won't take drugs as payment.\" He was pretty sure that she was going to offer to blow him or fuck him in trade for the tattoo, but he wanted her to spit it out herself."
    "\"Yeah, I heard you were clean.\" She looked down at the floor. \"Um, I really want that tattoo.\" She glanced at him from under pale lashes and folded her arms across her narrow chest. \"Will you do it for sex?\""
    "\"You want to fuck me for a tattoo?\" His smile was thin-lipped and without humor. {i}I hate this kind of shit.{/i} Despite his annoyance, pity crept through his heart. It wasn't as if she had much else to offer."
    nvl clear
    
    "\"Yes.\" She blinked, eyes wide, caught off guard by his deliberate rudeness. \"Sex for a tattoo.\""
    "He cocked his head to one side in slight confusion. {i}Why is she just...standing there?{/i} For someone who was trying to get something using sex, she wasn't even {i}trying{/i} to work it. She wasn't being flirty, and she certainly wasn't dressed for it. Not a speck of tittie or leg was showing."
    "If he didn't know better, he'd swear she'd never tried to use sex to get anything before. She was acting like she didn't even know how."
    "\"You any good?\" He wanted to see how far he could push her. If he was lucky, she would leave on her own and he wouldn't have to join the ranks of all the rest of the people who had obviously taken advantage of her."
    nvl clear
    
    "Her gaze darkened with rebellion then faded to sullen hurt. She spoke through clenched teeth. \"No, I'm not really that good.\""
    "{i}Well, the kid certainly has guts.{/i} The Alchemist nodded. \"Alright, I'll do it for a fuck.\""
    "\"Great.\" She smiled with a slight tightening of the lips. \"But no weird shit, okay?\" She took a step back from his counter, her gaze defiant. \"No hitting or cutting.\""
    "He smiled ruefully.\"Got'cha. No weird shit. Just you, me, and my dick in your twat. Okay.\" {i}What the hell have I gotten myself into this time?{/i}"
    "\"Good.\" She nibbled on her lip then her lips bowed into a dazzling smile of searing brilliance."
    nvl clear
    
    play music "mu/Killing Time.mp3" fadeout 1.0
    scene bg_main with fade
    show angel02c at left with dissolve
    
    "He was knocked flat. His dick was hardening just looking at her smile alone. His heart pounded and his palms dampened in lust -- and sympathetic anger."
    "Not that long ago, this little broken doll with her shattered eyes and straggly form, had been a spectacular beauty. He could see from the smile alone that not all of her soul had been destroyed. Possibilities still gleamed within her, though dimly."
    nvl clear
    
    scene bg_parlor02 with fade
    show alch01 at left with dissolve
    "Unnerved, he looked away. \"Right...\" He flipped up the counter. \"Come this way.\""
    hide alch01 with easeoutright 
    nvl clear
    
    scene bg_parlor06 with fade
    "The Alchemist led her down the short hall and opened the first door."

    scene bg_parlor04 with fade
    show alch01 with easeinright
    show angel01 behind alch01 at left with easeinright

    "In the workroom, the counters gleamed pristine with sterile cleanliness. His chrome tools glittered coldly in the harsh overhead light. At the center of the room was a red, leather chair barber's chair, and against the back wall, a cushioned medical table. Various rolling stools were parked in the corners. Two of the walls were covered with immense framed paintings."
    nvl clear
    
    scene bg_parlor05 with fade
    $ renpy.pause(1)
    show c_parlor05 with dissolve
    show angel01 at left with easeinleft
    "She gazed wide-eyed at the swirls of color and exotic, esoteric imagery on the massive canvasses. \"Wow, these are incredible. Whose art is this? I've never seen anything like it before.\""
    "\"It's mine.\" He knelt and opened the cabinets under the counter. \"I did all of it.\" Efficiently he pulled trays of plastic coated, sterile needles and a couple of disposable wells for inks. {i}What the hell am I doing, tattooing this shattered angel for a fuck?{/i}"
    "\"They're gorgeous.\" While looking at all the art covering his walls, she sighed in awe then spoke in barely a whisper. \"I wish I had the cash to get some of your stuff.\""
    show angel02 at left with dissolve
    hide angel01
    "Her smile reappeared like magic and she was transformed, practically glowing with creative potential, a blinding inner beauty that blazed past her damaged body, a beauty of the soul that refused to die."
    nvl clear
    
    scene bg_parlor04 with fade
    show alch01 at left with dissolve
    "He blinked, nearly blinded by her inner radiance and his dick sprang to attention. {i}Oh yeah, that's why I'm doing this.{/i}"
    "At the same time, he couldn't help but consider her untapped power. {i}I could bring all that a little closer to the surface. Make it easier for her to utilize--{/i} He winced."
    "{i}Damn it! I am NOT a charity worker! I am gon'na get my dick wet then go home, eat a burger, drink a beer while watching TV -- and not feel guilty!{/i}"
    "He dropped onto the small rolling stool by the table and rigged some needles together. \"Thanks, I'm glad you like them, now take off your clothes.\""
    "She stiffened, but stepped over to the medical table to shrug out of her filthy jacket. She put it on the end of the table and toed off her filthy shoes."
    nvl clear
    
    scene bg_parlor05 with fade
    show angel03 at left with dissolve
    "His gaze narrowed on her, watching closely."
    "With fingers that visibly trembled, she peeled out of her gray shirt exposing a loose and aged bra. Despite the fact that it was less than clean, she folded her shirt neatly and placed it on top of her jacket." 
    "Her chin lifted and she shot a sideway's glare his way. \"Do you have to stare at me?\""
    "\"I'm going to be fucking you in a minute, I wan'na see what I'm getting.\""
    "She flinched but said nothing. She merely turned her back to him and unfastened the worn-out bra. Once it was off, she set that on top of her shirt."
    nvl clear
    
    show angel04 at left with dissolve
    hide angel03 
    "A twinge of guilt and compassion stabbed through him. {i}Jee-zuz, I'm being a real bastard tonight.{/i} He bit his lip and sighed. \"Actually, I want to find a good place to put your tattoo, so I need to see your skin. \" He kept his voice gentle as an apology."
    "\"Oh...\" The word was barely more than a sigh. \"Okay, sure.\" She then shimmied out of her torn jeans and panties."
    "Carefully she collected her things and placed them on the end of the medical table."
    nvl clear
    
    scene bg_main with fade
    show angel05 at left with dissolve
    "She turned and stared at him, silently, perfectly still; bird-delicate and fragile as blown glass. Clearly, she wanted this tattoo awfully bad."
    "The Alchemist stood up and appraised his canvas of human skin. She was surprisingly clean. He hadn't expected that from a kid living on the streets. However, there wasn't much to work with. She was thin; too thin, and made up of sharp angles. Good thing she had chosen a small design." 
    "His sharp gaze caught the tracing of old needle marks in the bends of her elbows and knees from drug use. He felt anger beginning a slow rolling boil from his gut; helpless anger for the beauty that used to be there -- and had been wasted. He poked at the marks. \"What the fuck is this shit?\""
    "She flinched away from his fingers. \"I- I'm trying to quit. Been off it for a week now.\" Desperation threaded into her wide, faded-blue gaze. \"I'm tryin' to stay off the alcohol too.\""
    nvl clear
    
    "{i}I can fix that,{/i} his inner thoughts whispered. {i}I can make her new again. I can kill her need for drugs and booze, give her a little confidence...{/i} The Alchemist's thoughts rambled with formula and incantation. {i}I can bring her creativity to the surface so she can get a real job...{/i} Unconsciously, an alchemical spell worked its way to the surface of his mind. {i}Change the symbol, use the special inks… {/i}"
    "He snarled at himself, snapping out of a half-trance, awake and annoyed. {i}Damn it, I don't do charity work! I am not some Knight in Shining Armor out to save these kids from themselves.{/i} He angrily approached her, fingers outstretched."
    "She shrank back, away from his outstretched hands, her eyes wide. \"Please...!\" She crossed her arms over her naked breasts. \"You promised not to hurt me.\""
    nvl clear
    
    "Guilt and sympathetic compassion crashed down on his head. His hands dropped to his sides. He couldn't do it. He couldn't just fuck and tattoo this shattered angel. He simply couldn't be one of the animals that ate chunks out of her then spat out the remains. She had nothing left to take and already teetered on the edge of the abyss."
    "{i}She’ll probably be dead in a dumpster by this time next week. {/i}"
    
    play music "mu/City Of Desperacy.mp3" fadeout 1.0
    "An image of her flashed like neon before his eyes..."
    nvl clear 
    
    scene angel_d with fade
    $ renpy.pause(1)
    "In the bowels of an abandoned factory not too far from the tattoo parlor, she sprawled in a pile of refuse. Her eyes were wide open and lifeless. Her tattoo wasn't even healed yet."
    nvl clear
    
    scene bg_parlor04 with fade
    show alch01 at left with dissolve 
    "He wiped his hands down his face and sighed in submission to his conscience then glanced up to the ceiling, toward the powers that be. {i}Alright, I give up damn it! I'll fix this one.{/i} Resigned he turned around and left the room."
    nvl clear
    hide alch01 with moveoutleft
    
    "\"Hey!\" the girl shouted after him. \"Where're you going?\""
    "\"I'm going to get the inks I need,\" he tossed over his shoulder. \"I'll be right back.\""
    nvl clear
    
    scene bg_parlor06 with fade
    "At the very end of the short hall, the alchemist opened the door, went in, and turned on the light." 
    nvl clear
    
    play music "mu/Kaleidoscope.mp3" fadeout 1.0
    scene locker_cl with fade
    $ renpy.pause(1)
    
    "Against the wall was a massive antique steamer trunk standing upright on its side. Setting his palm against the lock, he whispered three ancient words then knocked three times."
    "With an ominous rumble, the trunk split down the side and opened wide into a travel secretary."
    nvl clear
    
    show locker with dissolve
    hide locker_cl 
    show c_locker with dissolve 
    hide locker
    $ renpy.pause(1)
    
    "The left side was a collection of pull drawers and shelves crammed with books. On the right, a chair rolled out and a shelf dropped down, forming a desk. Books, papers, pens, pictures, and other odds leaped out of drawers to arrange themselves across the desktop."
    "Under the desktop and against the wall of the trunk, a massive circle array glowed with power."
    "The Alchemist pulled open a large drawer and withdrew a blue silk, velvet-lined, drawstring bag that had the tools he needed for his Magikal Artes."
    nvl clear
    
    "From the books on the upper shelf, he withdrew his Grimoire, the notebook he used to record his alchemical recipes."
    "Book and bag in hand, he knocked on the side of the trunk."
    "With a whispering rustle, the things on the desktop abruptly scattered into various drawers. The moment it was cleared, the desktop folded up against the wall of the trunk, and the chair rolled back into place. Then, with a heavy rumble, the massive steamer trunk closed itself."
    nvl clear
    
    show locker with dissolve
    hide c_locker
    show locker_cl with dissolve
    hide locker
    $ renpy.pause(1)
    
    "The Alchemist shuddered slightly. \"God... Sixteen years of owning that trunk, and it {i}still{/i} gives me the creeps.\"  At the door, he turned off the light, closed the door behind him, and stalked back into his workroom."
    nvl clear 
    
    scene bg_parlor04 with fade
    "The alchemist dropped his Magikal Artes bag down on the counter then set his Grimoire on a nearby table."
    nvl clear
    
    scene bg_main
    show book with dissolve 
    "Taking a seat on one of the rolling stools, he flipped open the huge leather-bound book and thumbed painstakingly through the parchment pages."
    nvl clear  
    
    play sound "page-flip-1.mp3"
    show g1 with dissolve 
    hide book with dissolve
    $ renpy.pause(1)
    
    play sound "page-flip-1.mp3"
    show g2 with dissolve 
    hide g1 with dissolve
    $ renpy.pause(1)
    
    play sound "page-flip-1.mp3"
    show g3 with dissolve 
    hide g2 with dissolve
    $ renpy.pause(1)
    
    play sound "page-flip-1.mp3"
    show g4 with dissolve 
    hide g3 with dissolve
    $ renpy.pause(1)
    
    "He stopped on a particular page and peered at the alchemical sigils. He tapped his finger on a symbol and nodded firmly. {i}That'll do.{/i} Now, to find a place to put it... He turned to look at her."
    "She sat on the bench, waiting."
    nvl clear
    
    hide g4 with dissolve
    
    play music "mu/Killing Time.mp3" fadeout 1.0
    show angel06 with dissolve
    $ renpy.pause(1)
    show angel06 at left with move
    
    "Critically he eyed her. He could make out every rib. Her hipbones obscenely jutted out over her pubic bone. \"Stand up and turn around.\""
    "She stood up and did so without question."
    nvl clear
    
    hide angel06 with dissolve
    show angel05 with dissolve
    $ renpy.pause(1)
    show angel05 at left with move
    
    "Every vertebra down her curved spine was clearly defined. There, at the top of her ass, where the swell of her buttocks began was the perfect place."
    "However, he needed to check her {i}chakras{/i}, the individual energy centers of her body, to see what type of repairs she needed most and what would heal itself with only a little prodding."
    "He spoke softly to keep her from panicking. \"I'm going to touch your skin, so don't freak out on me.\""
    "\"Oh, okay.\" Her back was to him so he couldn't see her expression, but her shoulders visibly tensed. He could just picture her with her eyes closed, biting her lip, ready to endure his touch."
    "He stepped behind her and lifted his palms. His fingertips brushed the top of her head then skated down, barely disturbing her hair."
    nvl clear
    
    "Under his probe, the energy of her mind curled like warm mist. {i}Hmm... Intelligent{/i}."
    "His fingers traveled lower to the back of her neck. Strong currents curled under his fingers spiking with unused talent and true power, whispering of forgotten training and hinting at former glory. He frowned. \"Did you...sing?\""
    "\"Yeah, I sang in school. I was, um...\" Her voice broke and shattered. She hitched a breath. \"I had a scholarship to the School of the Arts for mezzo soprano.\" Her voice dropped to a whisper. \"Um, opera singing, you know?\""
    "His fingers traced the ridges of her spine. He stopped at a point a hand-span below her shoulder blades, over where her heart was located. The energy around her heart was thin and very weak. {i}No wait…{/i} There was a jagged hole in her heart energy; like someone had ripped out a chunk of it."
    nvl clear
    
    "His own heart began pounding with a stuttered and almost broken rhythm, as though a portion were missing from his heart too. It was an all too familiar feeling. \"So, what happened?\" But the answer to that question fluttered weakly right under his fingers. Anger flashed through him. {i}Some ass ruined her.{/i}"
    "She sniffed, but didn't weep. \"There was this guy I met. He told me…he loved me.\""
    "Against her spine and right over her heart, the Alchemist slid his palm around in a circle. There were traces of the warm, buttery essence of strong affection. She’d actually been in love. However, what was left had gone thin and rancid."
    "Anger pulsed through him in increasing waves. \"Lem'me guess; this asshole told you everything you wanted to hear then after a couple of months, left you high and dry.\"" 
    nvl clear
    
    "In other words, the asshole had used her love for him as a tool to hold her long enough to feed off of her like a psychic vampire."
    "\"I moved in with him and everything.\" Under his fingers, she trembled. \“We had our problems, but I did everything I could to make him happy. I cleaned the apartment every day, and even learned to cook lasagna.\""
    "\"I see.\" And he did. There was heavy scarring in the power center of her heart where the asshole had see-sawed between temper flairs and affection to sensitize, or rather {i}tenderize{/i} her to make it easier to rip her apart. He'd been {i}eating{/i} her this way for months." 
    "\"One day, I came home and he told me to get out.\" A single silver tear escaped her eye. \"He'd already moved this other girl in with him.\""
    nvl clear
    
    "A hand fluttered up and wiped at her eye.  \"He said, he didn't know what he ever saw in me.\" She squeezed both eyes shut and took a deep breath. \"He said, he never wanted to see me again.\""
    "\"And you didn't have any place to go.\" That actually went without saying. There was nothing left of her to eat, so he brought in a fresh, new 'happy meal' and tossed out the used-up trash -- her. {i}Typical.{/i} Obscenely typical, and all too {i}common{/i}. How many times had he heard this same story?"
    "His fingers slid down to the small of her back, the cradle of her hips where her personal shields were generated and her spirit sat. "
    "Screaming spiritual pain lanced up his fingers."
    "He flinched back. {i}What in hell...?{/i} He reached out again to explore the area -- and felt nothing but sucking, burning pain. He winced. {i}Ah, shit…{/i}"
    nvl clear
    
    "Between her hips, or more accurately deep in her lower belly, where all her confidence and self-worth; her soul, was supposed to be -- was a gaping, festering hole. He could practically make out the individual bite marks where she had been spiritually eaten alive. "
    "And it was killing her. There was barely enough of her soul left to keep her from slitting her own wrists.."
    "It sat right under the area where he wanted to mark the tattoo. Apparently, his instincts had known where to look before he did."
    "He explored the area gently but thoroughly, looking for the full extent of her wounds. The Alchemist could see several fresh bites out of her soul, some as new as the past day or so, but some of the bite marks were much older and gray with scarring. Some of the nastier, heavier scars were years old."
    "It looked as though someone had been feeding on her soul for {i}decades{/i}."
    nvl clear
    
    "The boyfriend had nearly finished the job, but the boyfriend couldn't have been around long enough to cause {i}this{/i} much damage."
    "\"When I moved in with him, I was in school at the time. I didn't have a job.\" She sighed and took a deep breath, getting a grip on herself. \"And I couldn't go home.\""
    "\"Why not?\" Truthfully, he couldn't care less what her answer was. The twisted and nasty feeling drifting from her very last and bottom chakra, her root chakra was of far more interest. He dropped his hand lower to investigate."
    "From what he could feel, there appeared to be major blackened areas that looked like burn-marks on her lowest chakra, where sexual energy was generated. His frown deepened. {i}Burns like this are normally caused by…{/i}"
    "Hate sex -- {i}rape{/i}."
    nvl clear
    
    "He winced. {i}Shit… {/i}"
    "She shrugged just a little. \"I had stuff at home and I wanted out. That's why I went with this guy in the first place.\"" 
    "\"Got'cha.\" He nodded to himself. The answer was obvious. She couldn't go home because a violent and abusive family member was waiting there."
    "{i}I can still fix her. She isn't completely gone yet, but she's close.{/i} Too close. The job would be a complete bitch, but he {i}could{/i} do it. The Alchemist placed his hands on her bare shoulders."
    "She tensed under his palms."
    "Of more interest than her reaction to his physical contact, was that her aura and energy was so low, there was a chill to her skin. Softly, gently, he rubbed in small circles while projecting calm and safety directly through his palms into her body."
    nvl clear
    
    "She relaxed under his hands."
    "\"I got a deal for you.\" The Alchemist took a breath -- and lied. \"There's this design I've been working on, one of my pieces of art like what's on the walls. I wan'na put it on you.\""
    "\"Wow, really?\" She looked around at his exotic and brilliant paintings. \"Sure! That'd be way cool.\""
    "He leaned down and whispered against her ear. \"I wan'na put it right here.\" He placed his palm on the base of her spine then leaned forward to press his chest lightly against her; sharing skin, sharing body heat."
    "His spirit touched hers and entwined around it, sharing energy and {i}desire{/i}."
    "Against his soul, he felt the moment that sexual energy; sexual {i}interest{/i} sparked within her."
    "He shoved a bit more of his power into her, feeding her essence; her soul, directly from his."
    nvl clear
    
    "Her head came up and she shuddered under his touch, but this time it wasn't from fear. A soft breathy moan escaped her lips."
    "He reached around to set his hand against her belly and focused on feeding energy into her depleted soul to ease some of the fear she had of him. He then then slid upward to press his palm between her breasts, over her heart to strengthen the stuttering energy."
    "Her nipples harden at the tips of the soft undernourished, mounds. Through their spiritual link, he could feel excitement beginning to coil low in her belly."
    "It sparked an answering fire in him. His cock hardened. The Alchemist took his hands away."
    "She dropped her head with an expelled breath, as though released from a spell. Timidly, she looked back at him."
    nvl clear
    
    hide angel05 with dissolve 
    show alch02 at left with dissolve
    
    "He locked eyes with her then peeled out of his shirt, exposing his flat stomach, muscular shoulders and the titanium rings that pierced both of his nipples. Splashes of brilliant color and jagged points of stark black marked his skin from his throat down."
    "Esoteric sigils and glyphs, mythical beasts, flowers, and flames in every shade twisted around his muscular torso and banded his arms. He toed out of his boots, then his hands went to the button of his jeans."
    "Her gaze dropped to where his erection was manifestly evident and pressing against the imprisoning denim."
    "Watching her, he unzipped and peeled out of his snug jeans. His cock lunged out and up, full and brooding. It was tattooed with a dark red serpent."
    nvl clear
    
    "She hissed in surprise then her pink tongue darted out to lick her lips. She took a deep breath, her breasts lifting. A delicate flush pinked her skin. Her eyes dilated wide and dark."
    "He smiled just a little smugly. {i}Apparently, she likes what she's seeing.{/i} \"Turn around and lay on your belly across the bench.\" His voice was husky with growing passion. \"Put your hands over the edge and hold on to the leather strap there.\""
    "She took a last look at him then silently obeyed."
    nvl clear
    
    hide alch02 with dissolve
    show tattoo00 with easeinright
    $ renpy.pause(1)
    show tattoo00 at left with move
    
    "The Alchemist went to his magikal artes bag and spread the necessary tools out on a small rolling table along with some temporary inkwells. He laid the huge 'Grimoire', spell book in the middle. Sealed and sterile needles were placed next to the shining chrome of a filigreed tattoo gun."
    "Over on the counter he lit a red pillar candle and scattered incense over a hot coal sitting in an ornate silver chafing dish. Thick white smoke filled the room with the scent of exotic resins."
    "He pulled the rolling table with his equipment over to where she lay across the bench. Carefully he pulled from his magikal artes bag several ornate glass bottles with the special inks from his personal collection."
    nvl clear
    
    "The recipes for his inks were hard won and the ingredients very difficult to come by. Some of the inks glowed through the smoked glass."
    "With steady hands he set to filling his temporary wells with brilliants."
    "He set everything in place on the table then raised his head, closed his eyes, and cleared his thoughts. Latin words rolled from his lips in a guttural whisper."
    
    play music "mu/zero-project - The defeat of the Demon King.mp3" fadeout 1.0
    
    "He opened his eyes and stepped directly behind her."
    nvl clear
    
    scene tattoo01 with fade 
    "She turned her head to look. She seemed to be panting in fright."
    "\"Look at the wall in front of you, not at me, Angel.\""
    "She turned away."
    "He placed his hands on her shoulders."
    "She jumped."
    "Resuming his soft chanting, he moved his palms in slow, relaxing circles down her back, caressing her soft and surprisingly delicate skin as he would stroke a cat to calm it."
    "Her breathing slowed and deepened, relaxing under his touch."
    "\"I need to shave the area I'm going to be working, so don't freak, and don't jump, okay?\""
    "She nodded, but her fingers tightened on the table."
    nvl clear
    
    "He reached for the antique, ivory handled, straight razor that sat next to his book. Normally, he'd use a common plastic safety razor to shave the area he planned to tattoo, but not for this -- not for alchemy"
    "Chanting once again, he brushed the base of her spine with the palm of his hand then lightly used the razor with quick deft strokes to clean her skin. He wiped the fine hairs from the blade on a clean rag then closed the blade and put it back on the table. Later, much later, he'd have to clean it in a very specific ritual."
    "Moving carefully so he wouldn't alarm her, he leaned over and into her, pressing his thighs and his fierce erection against the softness of her buttocks."
    "She widened her stance, opening her thighs and her soft vulnerable flesh to the coming invasion."
    nvl clear
    
    "\"Now comes the fun part,\" he murmured to her. \"I need you to hold very, very still. Don't move no matter what. Got it?\" He shifted his cock under her and against the soft curls of her mound."
    "\"Uh, huh.\" Her voice was barely a sigh, but her body tensed under him."
    "He pressed his palm to her lower back then gently slid the fingers of his other hand down her spine to the seam of her buttocks then in and further down."
    "Deeper his fingers slithered, past and over the tight rose of her anus until he touched intimate curls then damp pouting flesh. He nestled his fingertips between the damp folds then dipped gently into the opening of her well, touching moisture. "
    "She stiffened and a hiss escaped her lips."
    "He whispered, \"Just breathe, Angel. Breathe deep.\""
    nvl clear 
    
    "She took a deep breath."
    "With his fingers, he slowly delved into her."
    "She took another breath."
    "Deep in the back, and up, he found the soft button of her cervix and moved his fingers rhythmically against it, rubbing lightly."
    "The muscles of her body relaxed around his fingers. Warm wetness slicked his palm. She sighed then moaned, but she held still. \"That feels good.\""
    "\"Good girl.\" He pulled his fingers from her and raised them to his lips. Sucking them into his mouth he tasted the sweetness of her honey."
    "Using his tongue, he generously wet his hand then wiped the saliva over the crown of his cock then down his shaft. He angled his serpent cock up, nosing himself closer to his fingers and her waiting pussy. With the blunt head of his red tattooed snake, he nudged her entrance."
    nvl clear
    
    "He rubbed the head of his cock against her then eased between her folds. \"Are you ready, Angel?\""
    "She took a deep steadying breath then another. Her body relaxed around him. She nodded."
    "He shoved, burrowing into her damp and very snug heat. She gripped him like a fist. He winced. {i}Oh, God, she's so damn tight!{/i} He pushed further into her, filling and stretching her slick, hot flesh."
    "She whimpered then moaned and suddenly undulated, voluptuously rolling her spine with open pleasure, working him deeper into her body."
    "He groaned and instinctively pulled back only to slide in deeper, pressing his hips against the soft fullness of her ass. Hissing he stopped. {i}Control, damn it, control!{/i}"
    nvl clear
    
    "He wanted nothing more than to take her hard and fast then spill into her, but that would defeat the purpose. The spell required restraint."
    "To do this right, he had to hold his passion right on the edge of cumming until he was done with the tattoo. Once the art was finished, he had to bring her to orgasm and climax with her to trigger and bind the spell. If either of them came before he was done, the spell would break before manifesting."
    "He sucked in a deep breath and held still, fighting his instincts.\" Close your legs, Angel. I need you to hold me in, while I work.\""
    "She pulled her thighs together, clamping down even tighter on his lodged flesh. "
    "He hissed with the sensation then took a deep breath. \"Good girl.\""
    nvl clear
    
    "His hardness throbbed in her hot grip. He took another deep steadying breath. \"Okay, I'm gon'na coat the area where the tattoo's gon'na be with some petroleum jelly to lube the needles.\" Dipping two fingers in the slick jelly, he slathered the base of her spine with a light coating."
    "Replacing the jar, he readied his inkwells then reached for his tattoo gun. The gun buzzed to life. \"Okay, Angel, here we go.\""
    
    play nature "TattooGun.mp3"
    
    "The Alchemist placed the palm of his other hand on her back, over her heart. He began to chant softly, but clearly in an antique language. His voice rose and fell rhythmically, hypnotically. He concentrated, forcing calm through his spell, directly into her heart."
    "She relaxed under his hand, taking deeper and deeper breaths, slipping into a light trance."
    nvl clear
    
    "Still chanting, he touched the needles to her naked and vulnerable skin. They pierced her fragile flesh, leaving lines of color in their wake. Agonizingly slow, he pulled his heavy cock out of her moist sheath then slid back in."
    "She breathed steadily, right on the edge of true sleep. A light sweat formed on her skin even as her honey drooled down his shaft to dribble down his balls. Her semi-conscious body's reaction to the droning pain of the needles and the slow fuck."
    "He slid in and then out of her still body while his instrument moved steadily and calmly in elegant curves along her skin. A soft rag swiped excess ink and blood droplets from her skin. The sigil on the small of her back took shape then color..."
    "It was time."
    nvl clear
    
    play music "mu/Everything's ruined.mp3" fadeout 1.0
    
    "His voice droned into a new chant, the spell shifting in intent and purpose."
    "Focused and relentless he worked, seeking to repair the damage and put her soul back together. With each change of needles and inks, he wove subtleties and variations into the spell he drew in permanent ink on the canvas of her skin."
    "Sweat formed on his brow. His heart pounded in his ears in time with his chanting."
    "His calves and ass muscles began to ache from pushing. His balls felt knotted and tight from keeping control of his thrusts, fucking consistently enough to stay hard but not enough to cum."
    "The sigil took form in a riotous blaze of color and purpose under his hands." 
    nvl clear
    
    show tattoo03 with dissolve 
    $ renpy.pause(1)
    hide tattoo01  
    
    "Layer upon layer, color upon color, lines and shapes that wove together in wild harmony... "
    "An almost bell tone rang deep in his heart."
    nvl clear
   
    play sound "magic_cast.mp3"
    show tattoo02 with dissolve 
    hide tattoo03  
    $ renpy.pause(1)
    show tattoo03 with dissolve
    hide tattoo02
    
    "The drawing was complete."
    # play music "mu/The Way Out.mp3" fadeout 1.0
    "He snapped off the gun and placed it on the open book. His chant shifted in tone once again."
    stop nature

    "The girl's breathing began to change signaling that she was rising from her sleepy trance. She awakened fully with a breathless groan of rising passion. She pushed up from the bench and back onto his cock. "
    "He slid his hands around her to cup her breasts. He squeezed gently, then tightened his grip. He tugged lightly on her hard nipples."
    nvl clear
    
    scene bg_main with fade
    show climax with dissolve
    $ renpy.pause(1)
    show climax at left with move

    "She undulated, rocking her hips, fucking him back. Her body shuddered around him under the waves of pleasure that pushed her toward climax."
    "He slid a hand down to cup her heat. His fingers delved to where their bodies joined. He moistened them in her flowing honey then touched her clit with delicacy. Lightly he stroked."
    "A moan escaped from her lips."
    "He smiled grimly. She was very, very close. He pushed into her body harder and faster, increasing the tempo. His breath panted the words of the spell."
    "The tightening in his balls and the warm roll in his depths warned of imminent climax. He needed to get her to the breaking point – timing was everything."
    nvl clear
    
    "He wet his fingers in his mouth, tasting her passion, her excitement. He then slid his hand back under her and delicately fluttered his wet fingers against her tender, swollen bud."
    "She stiffened, her breath stopping, then suddenly she shuddered and cried out. Her body hungrily clenched around his flesh lodged within her, pulling, sucking."
    "He stiffened impossibly hard in her slick, pulsing sheath. He finished the chant with a shout."
    "His soul alchemically and intimately locked with hers. He was seized by her brutal pleasure and imprisoned, forced to share her ecstasy. Release ripped through him while wave after wave of frenzied rapture slammed back and forth between them and through them."
    "Together they screamed."
    nvl clear
    
    scene black with fade
    $ renpy.pause(1)
    play music "mu/zero-project - Autumn prelude.mp3" fadeout 1.0
    show c_parlor04 with fade
    
    "With a clean rag, the Alchemist wiped off the sweat from his recent labors then wearily dragged on his jeans."
    show alch02 at left with easeinleft
    
    "He dropped onto a rolling stool and leaned on the counter to scribble on a piece of fine parchment. \"Angel, I want you to deliver a letter to a friend of mine.\""
    nvl clear
    
    scene c_parlor05 with fade
    show angel07 at left with dissolve
    
    "Dressed in only her jeans, the delicate girl gazed at her new tattoo while peering over her shoulder at the wall mirror. \"It's so beautiful.\" Her aura was much brighter. Her smile was blinding."
    "He folded the paper then heated the stick of violet sealing wax in the candle flame. He pressed the melted end of the wax stick on the folds of the delicate paper leaving a blot of colored wax behind."
    "He picked up a silver stamp and pressed his shop logo, which just happened to be his Alchemical seal, into the soft wax. Scribbling some more, he addressed it."
    "\"She'll give you a job and can probably find you a place to crash too.\""
    nvl clear
    
    hide angel07 with easeoutleft
    "She took the folded parchment from his fingers and frowned at the address. \"This is the stripper joint down the block. I'm getting a job as a stripper?\""
    nvl clear
    
    show c_parlor04 with fade
    show angel07 at left with dissolve
    show alch02 with dissolve 
    
    "\"Hell, no.\" He gave her a weary smile. \"You're too damned skinny.\" He pulled a pack of cigarettes from a drawer in the counter and lit one on the scarlet candle. \"You're getting a job as a cocktail waitress.\" He sucked in some smoke. \"This way you get paid regularly and get to keep your tips too.\""
    
    hide angel07 with easeoutleft 
    "She nodded and walked over to the table and her clothes. The shirt she lifted and began struggling into had more holes than fabric. He couldn't begin to tell what color it was supposed to be."
    "With a tired groan, he dug into a lower drawer and yanked out one of the tee shirts imprinted with his shop logo. \"That shirt's nasty. Put this on.\" He tossed it at her. \"It's clean.\""
    "She looked up from tugging on her dirty sneakers. \"But…?\""
    "He gave her a level and steady stare."
    nvl clear 
    
    "She folded under the weight of his gaze. \"Okay.\" She tugged the dirty shirt back off then pulled the new one on."
    show angelx behind alch02 at left with easeinleft
    
    "The Alchemist yanked her old shirt from her fingers and threw it over his shoulder. The shirt flopped half-in and half-out of the small trashcan in the corner."
    "She looked over at it."
    "\"The shirt's free, or you can pay me back later.\"  He pointed at the letter in her hand. \"As to the job, she's a friend of mine. She helped me once so I'm sending you to her, so she can help you too.\""
    "She nodded then stepped back over to the wall mirror to lift her shirt and peek again at her new tattoo."
    "The Alchemist smiled and grabbed his shirt. \"Alright, you can admire yourself later. Come on...\""
    nvl clear
    
    hide alch02 with easeoutright
    hide angelx with easeoutright
    scene black
    
    scene door03 with fade 
    show angelx2 at left with easeinright
    show alch01 with easeinright
    
    "The Alchemist led her by the hand to the front door. Night had long since fallen and the moon was up and full, sailing through a clear starry sky."
    "Angel gazed at the lights on the buildings across the street then up at the moon. \"I guess I better be going.\""
    "The Alchemist tapped the parchment letter in her hand. \"My friend should be at the club right now, and its right around the corner, so why don't you go straight there? She usually has food too; she likes her girls well fed. I'll call her and tell her you're coming.\" He opened the door for her. The bells on it jingled."
    nvl clear 
    
    play sound "Store bell.wav"
    scene bg_parlor01x with fade
    show angelx2 at left with dissolve
    show alch01 with dissolve
    
    "Hurt crept into her eyes. \"I guess this is good-bye and I won't see you again.\"" 
    "\"Shit no, Angel. I expect you to come back in a few weeks so I can check on that tattoo.\" He smiled then rolled his eyes. \"Then you're going to tell me all about the new place you're staying in, and how crappy your job is, and…\""
    "She grabbed him in a bear hug that practically knocked him over."
    "He grunted from the force. \"Take it easy! That's a brand new tattoo you've got there.\""
    "She pulled back with a sniff and damp eyes. \"I'll be careful.\""
    "\"Oh, yes you will.\" The Alchemist smiled grimly. \"Whether you like it or not.\" Her new tattoo would forcibly keep her out of harm's way. It would also compulsively keep her from touching drugs or drinking."
    "Her head tilted to the side. \"Huh?\""
    nvl clear
    
    "He waved a hand. \"It's nothing.\""
    "She came up on her toes to press a kiss to his cheek. \"Thank you.\" With a quick blinding smile, Angel dashed from the parlor."
    nvl clear 
    
    scene c_parlor01 with fade
    show angelx at left with easeinright 
    "At the corner, she suddenly turned to look back at him. She waved then turned and walked around the corner, out of sight."
    nvl clear
    hide angelx with easeoutleft
    
    scene c_parlor02 with fade
    play sound "Store bell.wav"
    "He closed his door, locking it; letting her go."
    show alch01 at left with easeinleft
    "Hopefully, the tattoo would encourage her to begin a new life. He wanted her to be able to keep a job then go back to school and use those incredible creative talents he had felt simmering in her soul; the artistic abilities that had burned brightly enough to draw the predators to her in the first place, such as her ex-boyfriend."
    "This time, with a little Alchemical help, she'd be able to protect herself from the soul-devouring animals of the street."
    "He sighed softly to the empty parlor. \"Been there, done that. I was living and starving on the streets myself, not all that long ago.\""
    "But that was then... "
    nvl clear
    hide alch01 with easeoutleft 
    
    show expression Text("{color=ffffff}{font=LHFmisterspookyREG_0.TTF}The End.{/font}{/color}", size=100, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with dissolve
    $ renpy.pause()
    
    call credits 

    return
